unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, _GClass, AbTrend, ExtCtrls;

type
  TForm1 = class(TForm)
    AbTrend1: TAbTrend;
    AbTrend2: TAbTrend;
    Memo1: TMemo;
    Label1: TLabel;
    Memo2: TMemo;
    DeleteButton: TButton;
    procedure AbTrend1Interval(Sender: TObject);
    procedure AbTrend1MaxRecords(Sender: TObject);
    procedure DeleteButtonClick(Sender: TObject);
   // procedure Timer1Timer(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;
  v : Integer;
  i : Integer = 0;
  TrdFile : String;

implementation

{$R *.DFM}

procedure TForm1.AbTrend1Interval(Sender: TObject);
var
  n : Integer;
begin
  // youst a small routine to create values
  // OnInterval is called youst before a new record is added
  inc(v);
  if v > 125 then v := 0;
  for n := 1 to 8 do begin
    AbTrend1.FChannel[n].Digit := v*n;
  end;
end;

procedure TForm1.AbTrend1MaxRecords(Sender: TObject);
var
  myIOResult : Integer;
begin
  // OnMaxRecords is called when the "MaxRecords" number of records is reached
  // youst before the component will delete the old records,....

  // ...time to save
  myIOResult := AbTrend1.SavePartToFile(TrdFile,0,AbTrend1.DeleteTilRecord);
  // "myIOResult" shows the status of the last I/O-operation,.... "0" if no error
  // see IOResult in Delphi/CBuilder help


  // LoadFromFileEx(FileName: string; ClearList: Boolean)
  // will DELETE all records in Trend (if ClearList=true) and load all records from file
  // will ADD all records from file to the trend Trend (if ClearList=false)
  // and display the records
  myIOResult := AbTrend2.LoadFromFileEx(TrdFile, true);
  // "myIOResult" shows the status of the last I/O-operation,.... "0" if no error
  // see IOResult in Delphi/CBuilder help
end;

procedure TForm1.DeleteButtonClick(Sender: TObject);
begin
  if FileExists(TrdFile) then DeleteFile(TrdFile);
  AbTrend2.ClearRecords; // clears the trend
end;

initialization
  // get/create the filename for the trend-records
  TrdFile := ChangeFileExt(Application.ExeName, '.trd');

end.
